package com.bonus.core.pay.common.model;

import com.baomidou.mybatisplus.annotation.TableName;

import java.time.LocalDateTime;

@TableName("trade_order_recharge")
public class TradeOrderRecharge {
   private Long tradeId;
   private Long orderRechargeId;
   private String macOrderId;
   private LocalDateTime createTime;
   private LocalDateTime updateTime;

   public Long getTradeId() {
      return this.tradeId;
   }

   public Long getOrderRechargeId() {
      return this.orderRechargeId;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public void setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
   }

   public void setOrderRechargeId(final Long orderRechargeId) {
      this.orderRechargeId = orderRechargeId;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }


   public TradeOrderRecharge() {
   }

   public TradeOrderRecharge(final Long tradeId, final Long orderRechargeId, final String macOrderId, final LocalDateTime createTime, final LocalDateTime updateTime) {
      this.tradeId = tradeId;
      this.orderRechargeId = orderRechargeId;
      this.macOrderId = macOrderId;
      this.createTime = createTime;
      this.updateTime = updateTime;
   }
}
